APIs / Pinterest / Board Pins

Pinterest: Board Pins

Board Pins from Pinterest as JSON. 1 credit per successful call.

GET /v1/pinterest/board-pinsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
board_idstringOptionalUp to 64 characters
usernamestringOptionalUp to 64 characters
slugstringOptionalUp to 255 characters
limitintegerOptionalAny
bookmarkstringOptionalUp to 512 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/pinterest/board-pins" \
  -H "X-API-Key: $API_KEY"